Index: /extensions/UserAdvManager/branches/2.41/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/admin/UAM_admin.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/admin/UAM_admin.php	(revision 19235)
@@ -152,16 +152,16 @@
 				if ($conf['obligatory_user_mail_address'])
 				{
-							// Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
-    		// --------------------------------------------------------------------------------------
-    		if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
-    		{
-      		array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
-      		$UAM_Exclusionlist_Error = true;
-    		}
-  		}
-  		elseif (!$conf['obligatory_user_mail_address'])
-  		{
-    		$_POST['UAM_MailExclusion_List'] = '';
-  		}
+          // Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
+          // --------------------------------------------------------------------------------------
+    		  if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
+    		  {
+      		  array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
+      		  $UAM_Exclusionlist_Error = true;
+    		  }
+  		  }
+  		  elseif (!$conf['obligatory_user_mail_address'])
+  		  {
+    		  $_POST['UAM_MailExclusion_List'] = '';
+  		  }
 
     // Consistency check between ConfirmMail and AutoMail - We cannot use GTAutoMail if ConfirmMail is disabled
@@ -1617,5 +1617,5 @@
         while ($row = pwg_db_fetch_assoc($result))
         {
-          list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
+          $dbnow = date("Y-m-d H:i:s");
             
           $query = '
@@ -1645,5 +1645,5 @@
         while($row = pwg_db_fetch_assoc($result))
         {
-          list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
+          $dbnow = date("Y-m-d H:i:s");
             
           $query = '
Index: /extensions/UserAdvManager/branches/2.41/admin/template/global.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.41/admin/template/global.tpl	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/admin/template/global.tpl	(revision 19235)
@@ -228,5 +228,5 @@
 
             <div class="uam_hide">
-            
+
               <label for="UAM_MailExclusion_false"><input id="UAM_MailExclusion_false" value="false" {$UAM_MAILEXCLUSION_FALSE} name="UAM_MailExclusion" type="radio">
                 {'UAM_Disable'|@translate}
@@ -235,5 +235,5 @@
                 {'UAM_MailExclusion_true'|@translate}
               </label>
-            
+
             </div>
           {else}
@@ -242,24 +242,21 @@
             </label>
 
-            
-              <label for="UAM_MailExclusion_false"><input id="UAM_MailExclusion_false" value="false" {$UAM_MAILEXCLUSION_FALSE} name="UAM_MailExclusion" type="radio">
+            <label for="UAM_MailExclusion_false"><input id="UAM_MailExclusion_false" value="false" {$UAM_MAILEXCLUSION_FALSE} name="UAM_MailExclusion" type="radio">
                 {'UAM_Disable'|@translate}
-              </label>
-              <label for="UAM_MailExclusion_true"><input id="UAM_MailExclusion_true" value="true" {$UAM_MAILEXCLUSION_TRUE} name="UAM_MailExclusion" type="radio">
+            </label>
+
+            <label for="UAM_MailExclusion_true"><input id="UAM_MailExclusion_true" value="true" {$UAM_MAILEXCLUSION_TRUE} name="UAM_MailExclusion" type="radio">
                 {'UAM_MailExclusion_true'|@translate}
-              </label>
-            
-
-          {if $UAM_ERROR_REPORTS1}     
-            <div class="uam_leftmargin">
-              <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
-            </div>
-            
-          {else}
-            <div class="uam_leftmargin">
-              <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
-            </div>
-            
-          {/if}
+            </label>
+
+            {if $UAM_ERROR_REPORTS1}     
+              <div class="uam_leftmargin">
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+              </div>
+            {else}
+              <div class="uam_leftmargin">
+                <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
+              </div>
+            {/if}
           {/if}
           </li>
Index: /extensions/UserAdvManager/branches/2.41/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/changelog.txt.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/changelog.txt.php	(revision 19235)
@@ -358,4 +358,10 @@
             Add da_DK, thanks to : Kaare
 
+-- 2.41.2 : Bug 2765 fixed - Code cleanup
+            Bug 2788 fixed : Warning message on email exclusion no more remains if misconfiguration is fixed. But it's still necessary to refresh the current page once for the warning message to disappear.
+            Bug 2796 fixed - Use of php date() function instead od MySql NOW() - Usefull if MySql server is not set at the same date-time as Apache/Php server
+            Update da_DK, thanks to : Kaare
+            Update it_IT, thanks to : virgigiole
+            Update lv_LV, thanks to : agrisans
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.41/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/include/functions.inc.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/include/functions.inc.php	(revision 19235)
@@ -40,5 +40,5 @@
  
   // Check mandatory email address for email exclusion
-  if (!$conf['obligatory_user_mail_address'] and $conf_UAM[10] = 'true')
+  if (!$conf['obligatory_user_mail_address'] and $conf_UAM[10] == 'true')
   {
     array_push($page['warnings'], l10n('UAM_mail_exclusion_error'));
@@ -66,6 +66,5 @@
     if ((isset($conf_UAM[15]) and $conf_UAM[15] == 'true') or (isset($conf_UAM[18]) and $conf_UAM[18] == 'true'))
     {
-
-						$userid = get_userid($user['username']);
+      $userid = get_userid($user['username']);
      	  
       // Looking for existing entry in last visit table
@@ -76,7 +75,7 @@
 WHERE user_id = '.$userid.'
 ;';
-        
+
       $count = pwg_db_num_rows(pwg_query($query));
-         
+
       if ($count == 0)
       {
@@ -385,5 +384,5 @@
         }       
       }
-        
+
       if (((!empty($_POST['use_new_pwd']) and (isset($conf_UAM[0]) and $conf_UAM[0] == 'true')) or $confirm_mail_need))
       {
@@ -393,5 +392,5 @@
 WHERE '.$conf['user_fields']['id'].' = \''.$user['id'].'\'
 ;';
-        
+
         list($username) = pwg_db_fetch_row(pwg_query($query));
         SendMail2User($typemail, $user['id'], $username, $_POST['use_new_pwd'], $_POST['mail_address'], $confirm_mail_need);
@@ -412,9 +411,9 @@
 {
   global $conf, $user;
-  
+
   include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-  
+
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   // Performing GhostTracker scheduled tasks
   // ---------------------------------------
@@ -522,12 +521,12 @@
     die('Hacking attempt!');
   }
-          
+
   include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   $collection = array();
   $reminder = false;
-  
+
   $page['filtered_users'] = get_ghosts_autotasks();
 
@@ -542,9 +541,9 @@
   {
     if (count($collection) > 0)
-  	 {
+    {
       // Process if a non-admin nor webmaster user is logged
       // ---------------------------------------------------
       if (in_array($user['id'], $collection))
-   			{
+ 			{
         // Check lastvisit reminder state
         // ------------------------------
@@ -579,5 +578,5 @@
           redirect(make_index_url().'?UAM_msg=deleted', 0);
         }
-    		}
+      }
       else // Process if an admin or webmaster user is logged
       {
@@ -608,5 +607,5 @@
             // Reset of lastvisit date
             // -----------------------
-            list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
+            $dbnow = date("Y-m-d H:i:s");
 
 		        $query = '
@@ -633,5 +632,5 @@
 ;';
             		pwg_query($query);
-												}
+            }
 
             // Change user status
@@ -687,20 +686,20 @@
               // Reset confirmed user status to unvalidated
               // ------------------------------------------
-						  						$query = '
+              $query = '
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
 SET date_check = NULL
 WHERE user_id = '.$user_id.'
 ;';
-						  						pwg_query($query);
+              pwg_query($query);
 
               // Get users information for email notification
               // --------------------------------------------
-						  						$query = '
+              $query = '
 SELECT id, username, mail_address
 FROM '.USERS_TABLE.'
 WHERE id = '.$user_id.'
 ;';
-						  						$data = pwg_db_fetch_assoc(pwg_query($query));
-            
+              $data = pwg_db_fetch_assoc(pwg_query($query));
+
               demotion_mail($user_id, $data['username'], $data['mail_address']);
             }
@@ -733,12 +732,12 @@
     die('Hacking attempt!');
   }
-          
+
   include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   $collection = array();
   $reminder = false;
-  
+
   $page['filtered_users'] = get_unvalid_user_autotasks();
 
@@ -757,5 +756,5 @@
       // ---------------------------------------------------
       if (in_array($user['id'], $collection))
-    		{
+      {
         // Check ConfirmMail reminder state
         // --------------------------------
@@ -780,6 +779,6 @@
         if (!$reminder and isset($conf_UAM[32]) and $conf_UAM[32] == 'true')
         {
-     		  	$typemail = 1;
-          
+          $typemail = 1;
+
           // Get current user information
           // ----------------------------
@@ -807,5 +806,5 @@
           redirect(make_index_url().'?UAM_msg=deleted', 0);
         }
-    		}
+      }
       else // Process if an admin or webmaster user is logged
       {
@@ -895,6 +894,6 @@
     UAM_ConfirmMail();
   }
-
-}
+}
+
 
 /**
@@ -919,5 +918,5 @@
       $patterns[] = '#\[myurl\]#i';
       $replacements[] = get_gallery_home_url();
-    
+
       if (function_exists('get_user_language_desc'))
       {
@@ -925,5 +924,5 @@
       }
       else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[40]));
-      
+
       $page["errors"][]=$custom_text;
     }
@@ -944,5 +943,5 @@
       }
       else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
-      
+
       $page["errors"][]=$custom_text;
     }
@@ -963,9 +962,11 @@
       }
       else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[31]));
-      
+
       $page["errors"][]=$custom_text;
     }
   }
 }
+
+
 /**
  * Triggered on init
@@ -975,10 +976,8 @@
 function UAM_ConfirmMail()
 {
-
   if (isset($_GET['key']) and isset($_GET['userid']))
   {
-  
     global $user, $lang, $conf, $page;
-    
+
     $key = $_GET['key'];
     $userid = $_GET['userid'];
@@ -986,12 +985,12 @@
     $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
     $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
     $query = '
-  SELECT '.USERS_TABLE.'.username
-  FROM '.USERS_TABLE.'
-  WHERE ('.USERS_TABLE.'.id ='.$userid.')
-  ;';
+SELECT '.USERS_TABLE.'.username
+FROM '.USERS_TABLE.'
+WHERE ('.USERS_TABLE.'.id ='.$userid.')
+;';
     $result = pwg_db_fetch_assoc(pwg_query($query));
-  
+
     if (VerifyConfirmMail($key))
     {
@@ -1003,10 +1002,10 @@
   // ----------------------------------------------
       $query = '
-  SELECT language
-  FROM '.USER_INFOS_TABLE.'
-  WHERE '.USER_INFOS_TABLE.'.user_id ='.$userid.'
-  ;';
+SELECT language
+FROM '.USER_INFOS_TABLE.'
+WHERE '.USER_INFOS_TABLE.'.user_id ='.$userid.'
+;';
       $data = pwg_db_fetch_assoc(pwg_query($query));
-  
+
   // Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language
   // -------------------------------------------------------------------------------------------------------------------------------
@@ -1025,5 +1024,5 @@
         load_language('plugin.lang', UAM_PATH);
       }
-  
+
       if (isset($conf_UAM_ConfirmMail[5]) and !empty($conf_UAM_ConfirmMail[5]))
       {
@@ -1036,5 +1035,5 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = get_gallery_home_url();
-  
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1046,7 +1045,5 @@
         }
         $page['infos'][]=$custom_text;
-        //print_r($custom_text);
-      }
-      //log_user($userid, true);
+      }
     }  
     else
@@ -1062,5 +1059,5 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = get_gallery_home_url();
-     
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1071,5 +1068,5 @@
           $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[6]));
         }
-        
+
         $page['errors'][]=$custom_text;
       }
@@ -1077,4 +1074,6 @@
   }
 }
+
+
 /**
  * Triggered on render_lost_password_mail_content
@@ -1091,9 +1090,9 @@
 {
   global $conf;
-  
+
   load_language('plugin.lang', UAM_PATH);
-  
+
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   if (isset($conf_UAM[28]) and $conf_UAM[28] == 'true')
   {
@@ -1103,5 +1102,5 @@
     $patterns[] = '#\[myurl\]#i';
     $replacements[] = get_gallery_home_url();
-    
+
     $infos = preg_replace($patterns, $replacements, $conf_UAM[29])."\n"."\n".$infos;
   }
@@ -1122,7 +1121,7 @@
   $conf_UAM = unserialize($conf['UserAdvManager']);
 
-		include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-
-		$infos1_perso = "";
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+
+	$infos1_perso = "";
   $infos2_perso = "";
   $subject = "";
@@ -1166,5 +1165,5 @@
         $patterns[] = '#\[mygallery\]#i';
         $replacements[] = $conf['gallery_title'];
-    
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1175,5 +1174,5 @@
 
       break;
-      
+
     case 2: // Confirmation email on user profile update - With information email if modification done in user profile
       if (isset($conf_UAM[41]) and !empty($conf_UAM[41]))
@@ -1185,5 +1184,5 @@
         $patterns[] = '#\[mygallery\]#i';
         $replacements[] = $conf['gallery_title'];
-    
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1205,5 +1204,5 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = get_gallery_home_url();
-    
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1237,5 +1236,5 @@
 
       break;
-        
+
     case 3: // Only information email send to user if checked
       if (isset($conf_UAM[43]) and !empty($conf_UAM[43]))
@@ -1247,5 +1246,5 @@
         $patterns[] = '#\[mygallery\]#i';
         $replacements[] = $conf['gallery_title'];
-    
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1267,5 +1266,5 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = get_gallery_home_url();
-    
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1303,6 +1302,5 @@
   if (isset($conf_UAM[1]) and ($conf_UAM[1] == 'true' or $conf_UAM[1] == 'local')  and $confirm) // Add confirmation link ?
   {
-    $infos2 = array
-    (
+    $infos2 = array(
       get_l10n_args('UAM_Link: %s', AddConfirmMail($id, $email)),
       get_l10n_args('', ''),
@@ -1319,5 +1317,5 @@
       $patterns[] = '#\[myurl\]#i';
       $replacements[] = get_gallery_home_url();
-      
+
       if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
       {
@@ -1325,5 +1323,5 @@
         $replacements[] = $conf_UAM_ConfirmMail[1];
       }
-      
+
       if (function_exists('get_user_language_desc'))
       {
@@ -1339,15 +1337,15 @@
 		{
   		switch_lang_to(get_default_language());
-  		
+
   		load_language('plugin.lang', UAM_PATH);
   		$subject = get_l10n_args('UAM_Subject admin validation for %s',$username);
 
 		  $content = array(
-  		get_l10n_args('UAM_Manual_validation_needed_for %s', stripslashes($username)),
-    get_l10n_args('', ''),
-    get_l10n_args('UAM_Link: %s', AddConfirmMail($id, $email)),
-    );
-
-    UAM_mail_notification_admins($subject, $content);
+  		  get_l10n_args('UAM_Manual_validation_needed_for %s', stripslashes($username)),
+        get_l10n_args('', ''),
+        get_l10n_args('UAM_Link: %s', AddConfirmMail($id, $email)),
+      );
+
+      UAM_mail_notification_admins($subject, $content);
 		}
 		else
@@ -1376,5 +1374,5 @@
 {
   global $conf, $user;
-  
+
   // Check arguments
   if (empty($keyargs_subject) or empty($keyargs_content))
@@ -1446,5 +1444,5 @@
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
   
-		include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
   
 // We have to get the user's language in database
@@ -1457,9 +1455,9 @@
   $data = pwg_db_fetch_assoc(pwg_query($query));
   $language = $data['language'];
-  
+
 // And switch gallery to this language before using personalized and multilangual contents
 // ---------------------------------------------------------------------------------------
   switch_lang_to($data['language']);
-   
+
   load_language('plugin.lang', UAM_PATH);
 
@@ -1467,4 +1465,62 @@
   {
     case 1: //Generating email content for remind with a new key
+      if (isset($conf_UAM[42]) and !empty($conf_UAM[42]))
+      {
+        // Management of Extension flags ([username], [mygallery])
+        // -------------------------------------------------------
+        $patterns[] = '#\[username\]#i';
+        $replacements[] = $username;
+        $patterns[] = '#\[mygallery\]#i';
+        $replacements[] = $conf['gallery_title'];
+
+        if (function_exists('get_user_language_desc'))
+        {
+          $subject = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[42]))."\n\n";
+        }
+        else $subject = l10n(preg_replace($patterns, $replacements, $conf_UAM[42]))."\n\n"; 
+      }
+
+      if (isset($conf_UAM_ConfirmMail[2]) and !empty($conf_UAM_ConfirmMail[2]) and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and $confirm)
+      {
+    		// Management of Extension flags ([username], [mygallery], [myurl], [Kdays])
+        // -------------------------------------------------------------------------
+        $patterns[] = '#\[username\]#i';
+        $replacements[] = $username;
+        $patterns[] = '#\[mygallery\]#i';
+        $replacements[] = $conf['gallery_title'];
+        $patterns[] = '#\[myurl\]#i';
+        $replacements[] = get_gallery_home_url();
+
+        if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
+        {
+          $patterns[] = '#\[Kdays\]#i';
+          $replacements[] = $conf_UAM_ConfirmMail[1];
+        }
+
+        if (function_exists('get_user_language_desc'))
+        {
+          $infos1 = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[2]))."\n\n";
+        }
+				else $infos1 = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[2]))."\n\n";
+
+        $infos2 = array
+        (
+          get_l10n_args('UAM_Link: %s', ResetConfirmMail($user_id)),
+          get_l10n_args('', ''),
+        );
+      }
+
+// Set reminder true 
+// -----------------     
+      $query = '
+UPDATE '.USER_CONFIRM_MAIL_TABLE.'
+SET reminder = "true"
+WHERE user_id = '.$user_id.'
+;';
+      pwg_query($query);
+
+      break;
+
+    case 2: //Generating email content for remind without a new key
       if (isset($conf_UAM[42]) and !empty($conf_UAM[42]))
       {
@@ -1482,63 +1538,5 @@
         else $subject = l10n(preg_replace($patterns, $replacements, $conf_UAM[42]))."\n\n"; 
       }
-      
-      if (isset($conf_UAM_ConfirmMail[2]) and !empty($conf_UAM_ConfirmMail[2]) and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and $confirm)
-      {
-      		// Management of Extension flags ([username], [mygallery], [myurl], [Kdays])
-        // -------------------------------------------------------------------------
-        $patterns[] = '#\[username\]#i';
-        $replacements[] = $username;
-        $patterns[] = '#\[mygallery\]#i';
-        $replacements[] = $conf['gallery_title'];
-        $patterns[] = '#\[myurl\]#i';
-        $replacements[] = get_gallery_home_url();
-
-        if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
-        {
-          $patterns[] = '#\[Kdays\]#i';
-          $replacements[] = $conf_UAM_ConfirmMail[1];
-        }
-
-        if (function_exists('get_user_language_desc'))
-        {
-          $infos1 = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[2]))."\n\n";
-        }
-				else $infos1 = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[2]))."\n\n";
-
-        $infos2 = array
-        (
-          get_l10n_args('UAM_Link: %s', ResetConfirmMail($user_id)),
-          get_l10n_args('', ''),
-        );        
-						}
-
-// Set reminder true 
-// -----------------     
-      $query = '
-UPDATE '.USER_CONFIRM_MAIL_TABLE.'
-SET reminder = "true"
-WHERE user_id = '.$user_id.'
-;';
-      pwg_query($query);
-      
-				break;
-      
-    case 2: //Generating email content for remind without a new key
-      if (isset($conf_UAM[42]) and !empty($conf_UAM[42]))
-      {
-        // Management of Extension flags ([username], [mygallery])
-        // -------------------------------------------------------
-        $patterns[] = '#\[username\]#i';
-        $replacements[] = $username;
-        $patterns[] = '#\[mygallery\]#i';
-        $replacements[] = $conf['gallery_title'];
-    
-        if (function_exists('get_user_language_desc'))
-        {
-          $subject = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[42]))."\n\n";
-        }
-        else $subject = l10n(preg_replace($patterns, $replacements, $conf_UAM[42]))."\n\n"; 
-      }
-      
+
       if (isset($conf_UAM_ConfirmMail[4]) and !empty($conf_UAM_ConfirmMail[4]) and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and !$confirm)
       {
@@ -1557,5 +1555,5 @@
           $replacements[] = $conf_UAM_ConfirmMail[1];
         }
-        
+
         if (function_exists('get_user_language_desc'))
         {
@@ -1564,5 +1562,5 @@
         else $infos1 = l10n(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail[4]))."\n\n";
       }
-      
+
 // Set reminder true
 // -----------------
@@ -1600,6 +1598,6 @@
   $conf_UAM = unserialize($conf['UserAdvManager']);
   $subject = "";
-  
-		include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
 
 // We have to get the user's language in database
@@ -1616,5 +1614,5 @@
 // ---------------------------------------------------------------------------------------
   switch_lang_to($data['language']);
-   
+
   load_language('plugin.lang', UAM_PATH);
 
@@ -1682,9 +1680,9 @@
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
+
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
   
-		include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-  
-		$custom_txt = "";
-		$subject = "";
+	$custom_txt = "";
+	$subject = "";
 
 // We have to get the user's language in database
@@ -1695,4 +1693,5 @@
 WHERE user_id = '.$id.'
 ;';
+
   $data = pwg_db_fetch_assoc(pwg_query($query));
 
@@ -1730,5 +1729,5 @@
     else $subject = l10n(preg_replace($patterns, $replacements, $conf_UAM[44]))."\n\n"; 
   }
-      
+
   if (isset($conf_UAM[24]) and !empty($conf_UAM[24]))
   {
@@ -1787,8 +1786,8 @@
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
-		include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-  
-		$custom_txt = "";
+
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+
+	$custom_txt = "";
   $subject = "";
 
@@ -1800,4 +1799,5 @@
 WHERE user_id = '.$id.'
 ;';
+
   $data = pwg_db_fetch_assoc(pwg_query($query));
 
@@ -1827,4 +1827,5 @@
 WHERE id = '.$id.'
 ;';
+
   $result = pwg_db_fetch_assoc(pwg_query($query));
 
@@ -1844,5 +1845,5 @@
     else $subject = l10n(preg_replace($patterns, $replacements, $conf_UAM[46]))."\n\n";
   }
-      
+
   if (isset($conf_UAM[27]) and !empty($conf_UAM[27]))
   {
@@ -1894,5 +1895,5 @@
     $query = '
 SELECT COUNT(*)
-  FROM '.USER_CONFIRM_MAIL_TABLE.'
+FROM '.USER_CONFIRM_MAIL_TABLE.'
 WHERE id = "'.$id.'"
 ;';
@@ -1920,6 +1921,6 @@
   $Confirm_Mail_ID = FindAvailableConfirmMailID();
 
-  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-  
+  $dbnow = date("Y-m-d H:i:s");
+
   if (isset($Confirm_Mail_ID))
   {
@@ -1930,5 +1931,5 @@
 ;';
     list($status) = pwg_db_fetch_row(pwg_query($query));
-    
+
     $query = '
 INSERT INTO '.USER_CONFIRM_MAIL_TABLE.'
@@ -1937,4 +1938,5 @@
   ("'.$Confirm_Mail_ID.'", '.$user_id.', "'.$email.'", "'.$status.'", null)
 ;';
+
     pwg_query($query);
 
@@ -1950,4 +1952,5 @@
   )
 ;';
+
     pwg_query($query);
 
@@ -1961,4 +1964,5 @@
 WHERE user_id = '.$user_id.'
 ;';
+
       pwg_query($query);
     }
@@ -1974,4 +1978,5 @@
   ('.$user_id.', '.$conf_UAM[2].')
 ;';
+
       pwg_query($query);
     }
@@ -1986,11 +1991,12 @@
 WHERE user_id = '.$user_id.'
 ;';
+
       pwg_query($query);
     }
-    
+
     // Set UAM_validated field to false in #_users table
     // -------------------------------------------------
     SetUnvalidated($user_id);
-    
+
     if ( $conf['guest_access'] )
     {
@@ -2015,5 +2021,5 @@
 {
   global $conf;
-  
+
   $conf_UAM = unserialize($conf['UserAdvManager']);
 
@@ -2029,4 +2035,5 @@
   )
 ;';
+
   pwg_query($query);
 
@@ -2038,4 +2045,5 @@
 WHERE user_id = '.$user_id.'
 ;';
+
     pwg_query($query);
   }
@@ -2049,4 +2057,5 @@
   ('.$user_id.', '.$conf_UAM[2].')
 ;';
+
     pwg_query($query);
   }
@@ -2060,4 +2069,5 @@
   ('.$user_id.', "'.$conf_UAM[35].'")
 ;';
+
     pwg_query($query);
   }
@@ -2076,9 +2086,9 @@
 {
   global $conf;
-  
+
   $Confirm_Mail_ID = FindAvailableConfirmMailID();
 
-  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-  
+  $dbnow = date("Y-m-d H:i:s");
+
   if (isset($Confirm_Mail_ID))
   { 
@@ -2088,4 +2098,5 @@
 WHERE user_id = '.$user_id.'
 ;';
+
     pwg_query($query);
 
@@ -2095,6 +2106,7 @@
 WHERE user_id = '.$user_id.'
 ;';
+
     pwg_query($query);
-    
+
     if ( $conf['guest_access'] )
     {
@@ -2119,5 +2131,5 @@
   global $conf;
 
-  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
+  $dbnow = date("Y-m-d H:i:s");
 
   $query = '
@@ -2126,4 +2138,5 @@
 WHERE user_id = '.$user_id.'
 ;';
+
   pwg_query($query);
 }
@@ -2140,6 +2153,8 @@
 WHERE user_id = '.$user_id.'
 ;';
+
   pwg_query($query);
 }
+
 
 /**
@@ -2153,4 +2168,5 @@
 WHERE user_id = '.$user_id.'
 ;';
+
   pwg_query($query);
 }
@@ -2174,9 +2190,9 @@
 
   $tab = pwg_db_fetch_row(pwg_query($query));
-  
+
   $values = explode(',', $tab[0]);
 
   unset($values[array_search($user_id, $values)]);
-     
+
   $query = '
 UPDATE '.CONFIG_TABLE.'
@@ -2202,5 +2218,5 @@
 
   include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-  
+
   $conf_UAM = unserialize($conf['UserAdvManager']);
 
@@ -2212,4 +2228,5 @@
 WHERE id = "'.$id.'"
 ;';
+
   list($count) = pwg_db_fetch_row(pwg_query($query));
 
@@ -2230,4 +2247,5 @@
 WHERE user_id = '.$data['user_id'].'
 ;';
+
       list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
@@ -2236,59 +2254,59 @@
       if (!empty($registration_date))
       {
-								// Verify Confirmmail with time limit ON
-    				// -------------------------------------
-								if (isset ($conf_UAM_ConfirmMail[1]))
-								{
-										// Dates formating and compare
-     					// ---------------------------
-										$today = date("d-m-Y"); // Get today's date
-										list($day, $month, $year) = explode('-', $today); // explode date of today						 
- 									$daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
-
-	  							list($regdate, $regtime) = explode(' ', $registration_date); // Explode date and time from registration date
-										list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
-										$regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
-
-										$deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
-										$deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
-
-										// Condition with the value set for time limit
-     					// -------------------------------------------
-										if ($deltadays <= $conf_UAM_ConfirmMail[1]) // If Nb of days is less than the limit set
-										{
-												list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-
-        				// Update ConfirmMail table
-        				// ------------------------
-												$query = '
+        // Verify Confirmmail with time limit ON
+    		// -------------------------------------
+				if (isset ($conf_UAM_ConfirmMail[1]))
+        {
+				  // Dates formating and compare
+     			// ---------------------------
+					$today = date("d-m-Y"); // Get today's date
+					list($day, $month, $year) = explode('-', $today); // explode date of today						 
+ 					$daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
+
+	  			list($regdate, $regtime) = explode(' ', $registration_date); // Explode date and time from registration date
+					list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
+					$regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
+
+          $deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
+					$deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
+
+					// Condition with the value set for time limit
+     			// -------------------------------------------
+					if ($deltadays <= $conf_UAM_ConfirmMail[1]) // If Nb of days is less than the limit set
+          {
+            $dbnow = date("Y-m-d H:i:s");
+
+        		// Update ConfirmMail table
+        		// ------------------------
+						$query = '
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
 SET date_check="'.$dbnow.'", reminder="false"
 WHERE id = "'.$id.'"
 ;';
-												pwg_query($query);
-
-        				// Update LastVisit table - Force reminder field to false
-        				// Usefull when a user has been automatically downgraded and revalidate its registration
-        				// -------------------------------------------------------------------------------------
-												$query = '
+						pwg_query($query);
+
+        		// Update LastVisit table - Force reminder field to false
+        		// Usefull when a user has been automatically downgraded and revalidate its registration
+        		// -------------------------------------------------------------------------------------
+						$query = '
 UPDATE '.USER_LASTVISIT_TABLE.'
 SET reminder="false"
 WHERE user_id = "'.$data['user_id'].'"
 ;';
-												pwg_query($query);
+						pwg_query($query);
       
-												if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
-												{
-														$query = '
+						if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
+						{
+              $query = '
 DELETE FROM '.USER_GROUP_TABLE.'
 WHERE user_id = '.$data['user_id'].'
   AND group_id = '.$conf_UAM[2].'
 ;';
-														pwg_query($query);
-												}
-
-												if ($conf_UAM[3] <> -1) // Add user to validated users group 
-												{
-														$query = '
+							pwg_query($query);
+            }
+
+						if ($conf_UAM[3] <> -1) // Add user to validated users group 
+						{
+              $query = '
 INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
@@ -2296,91 +2314,91 @@
   ('.$data['user_id'].', '.$conf_UAM[3].')
 ;';
-														pwg_query($query);
-												}
-
-												if ($conf_UAM[4] <> -1) // Change user's status
-												{
-														$query = '
+							pwg_query($query);
+            }
+
+						if ($conf_UAM[4] <> -1) // Change user's status
+						{
+              $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET status = "'.$conf_UAM[4].'"
 WHERE user_id = '.$data['user_id'].'
 ;';
-														pwg_query($query);
-												}
-
-												if ($conf_UAM[36] <> -1) // Change user's privacy level
-												{
-														$query = '
+							pwg_query($query);
+            }
+
+						if ($conf_UAM[36] <> -1) // Change user's privacy level
+						{
+              $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET level = "'.$conf_UAM[36].'"
 WHERE user_id = '.$data['user_id'].'
 ;';
-														pwg_query($query);
-												}
-
-												// Set UAM_validated field to True in #_users table
-												$query = '
+							pwg_query($query);
+            }
+
+						// Set UAM_validated field to True in #_users table
+						$query = '
 UPDATE '.USERS_TABLE.'
 SET UAM_validated = "true"
 WHERE id = '.$data['user_id'].'
 ;';
-												pwg_query($query);
-
-												// Refresh user's category cache
-      						// -----------------------------
-												invalidate_user_cache();
-
-												return true;
-										}
-										elseif ($deltadays > $conf_UAM_ConfirmMail[1]) // If timelimit exeeds
-										{
-												return false;
-										}
-								}
-								// Verify Confirmmail with time limit OFF
-    				// --------------------------------------
-								else
-								{
-										list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-
-      				// Update ConfirmMail table
-      				// ------------------------
-										$query = '
+						pwg_query($query);
+
+						// Refresh user's category cache
+            // -----------------------------
+						invalidate_user_cache();
+
+						return true;
+          }
+          elseif ($deltadays > $conf_UAM_ConfirmMail[1]) // If timelimit exeeds
+          {
+            return false;
+          }
+        }
+        // Verify Confirmmail with time limit OFF
+        // --------------------------------------
+        else
+        {
+          $dbnow = date("Y-m-d H:i:s");
+
+          // Update ConfirmMail table
+          // ------------------------
+					$query = '
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
 SET date_check="'.$dbnow.'"
 WHERE id = "'.$id.'"
 ;';
-										pwg_query($query);
-
-      				// Update LastVisit table - Force reminder field to false
-      				// Usefull when a user has been automatically downgraded and revalidate its registration
-      				// -------------------------------------------------------------------------------------
-										$query = '
+					pwg_query($query);
+
+          // Update LastVisit table - Force reminder field to false
+          // Usefull when a user has been automatically downgraded and revalidate its registration
+          // -------------------------------------------------------------------------------------
+          $query = '
 UPDATE '.USER_LASTVISIT_TABLE.'
 SET reminder="false"
 WHERE user_id = "'.$data['user_id'].'"
 ;';
-      				pwg_query($query);
-
-										if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
-										{
-												$query = '
+          pwg_query($query);
+
+          if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
+          {
+            $query = '
 DELETE FROM '.USER_GROUP_TABLE.'
 WHERE user_id = '.$data['user_id'].'
 AND group_id = '.$conf_UAM[2].'
 ;';
-												pwg_query($query);
-										}
-
-										if ($conf_UAM[3] <> -1)
-										{
-												$query = '
+            pwg_query($query);
+          }
+
+          if ($conf_UAM[3] <> -1)
+          {
+            $query = '
 DELETE FROM '.USER_GROUP_TABLE.'
 WHERE user_id = '.$data['user_id'].'
 AND group_id = '.$conf_UAM[3].'
 ;';
-												pwg_query($query);
-
-												$query = '
+            pwg_query($query);
+
+            $query = '
 INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
@@ -2388,48 +2406,48 @@
   ('.$data['user_id'].', '.$conf_UAM[3].')
 ;';
-												pwg_query($query);
-										}
-
-										if ($conf_UAM[4] <> -1) // Change user's status
-										{
-												$query = '
+            pwg_query($query);
+          }
+
+          if ($conf_UAM[4] <> -1) // Change user's status
+          {
+            $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET status = "'.$conf_UAM[4].'"
 WHERE user_id = '.$data['user_id'].'
 ;';
-												pwg_query($query);
-										}
-
-										if ($conf_UAM[36] <> -1) // Change user's privacy level
-										{
-												$query = '
+            pwg_query($query);
+          }
+
+          if ($conf_UAM[36] <> -1) // Change user's privacy level
+          {
+            $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET level = "'.$conf_UAM[36].'"
 WHERE user_id = '.$data['user_id'].'
 ;';
-												pwg_query($query);
-										}
-
-										// Set UAM_validated field to True in #_users table
-										$query = '
+            pwg_query($query);
+          }
+
+          // Set UAM_validated field to True in #_users table
+          $query = '
 UPDATE '.USERS_TABLE.'
 SET UAM_validated = "true"
 WHERE id = '.$data['user_id'].'
 ;';
-										pwg_query($query);
-
-										// Refresh user's category cache
-      				// -----------------------------
-										invalidate_user_cache();
-
-										return true;
-								}
-						}
-				}
+          pwg_query($query);
+
+          // Refresh user's category cache
+          // -----------------------------
+          invalidate_user_cache();
+
+          return true;
+        }
+      }
+    }
     else if (!empty($data) and !is_null($data['date_check']))
     {
       return false;
     }
-		}
+  }
   else
     return false;
@@ -2451,12 +2469,12 @@
 		if (isset($conf_UAM[1]) and $conf_UAM[1] == 'true') // Set date of validation
 		{
-				list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-
-				$query = '
+      $dbnow = date("Y-m-d H:i:s");
+
+			$query = '
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
 SET date_check="'.$dbnow.'"
 WHERE user_id = '.$id.'
 ;';
-				pwg_query($query);
+			pwg_query($query);
 		}
 
@@ -2470,15 +2488,15 @@
 				pwg_query($query);
 		}
-  
+
 		if ($conf_UAM[3] <> -1) // Set user's valid group
 		{
-				$query = '
+      $query = '
 DELETE FROM '.USER_GROUP_TABLE.'
 WHERE user_id = '.$id.'
 		AND group_id = '.$conf_UAM[3].'
 ;';
-				pwg_query($query);
-	
-				$query = '
+      pwg_query($query);
+
+      $query = '
 INSERT INTO '.USER_GROUP_TABLE.'
 		(user_id, group_id)
@@ -2486,25 +2504,25 @@
 		('.$id.', '.$conf_UAM[3].')
 ;';
-				pwg_query($query);
+      pwg_query($query);
 		}
 
 		if ($conf_UAM[4] <> -1) // Set user's valid status
 		{
-				$query = '
+      $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET status = "'.$conf_UAM[4].'"
 WHERE user_id = '.$id.'
 ;';
-				pwg_query($query);
+      pwg_query($query);
 		}
 
 		if ($conf_UAM[36] <> -1) // Set user's valid privacy level
 		{
-				$query = '
+      $query = '
 UPDATE '.USER_INFOS_TABLE.'
 SET level = "'.$conf_UAM[36].'"
 WHERE user_id = '.$id.'
 ;';
-				pwg_query($query);
+      pwg_query($query);
 		}
 
@@ -2591,21 +2609,21 @@
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
 		if (isset($email) and isset($conf_UAM[11]) and !empty($conf_UAM[11]))
 		{
-				$conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[11]);
-				for ($i = 0 ; $i < count($conf_MailExclusion) ; $i++)
-				{
-						$pattern = '/'.$conf_MailExclusion[$i].'/i';
-						if (preg_match($pattern, $email))
-      {
-      		return true;
-      }
-				}
-		}
-  else
-  {
-    return false;
-  }
+      $conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[11]);
+      for ($i = 0 ; $i < count($conf_MailExclusion) ; $i++)
+      {
+        $pattern = '/'.$conf_MailExclusion[$i].'/i';
+        if (preg_match($pattern, $email))
+        {
+          return true;
+        }
+      }
+    }
+    else
+    {
+      return false;
+    }
 }
 
@@ -2619,7 +2637,7 @@
 function get_unvalid_user_list()
 {
-		global $conf, $page;
-          
-		// Get ConfirmMail configuration
+  global $conf, $page;
+
+  // Get ConfirmMail configuration
   // -----------------------------
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
@@ -2627,8 +2645,8 @@
   // ---------------------
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   $users = array();
 
-		// Search users depending expiration date
+  // Search users depending expiration date
   // --------------------------------------
   $query = '
@@ -2652,21 +2670,21 @@
 ;';
 
-		$result = pwg_query($query);
-      
+  $result = pwg_query($query);
+
   while ($row = pwg_db_fetch_assoc($result))
   {
-  		$user = $row;
+    $user = $row;
     $user['groups'] = array();
 
     array_push($users, $user);
-		}
-
-		// Add groups list
+  }
+
+  // Add groups list
   // ---------------
   $user_ids = array();
   foreach ($users as $i => $user)
   {
-  		$user_ids[$i] = $user['id'];
-		}
+    $user_ids[$i] = $user['id'];
+  }
 
 		$user_nums = array_flip($user_ids);
@@ -2674,5 +2692,5 @@
   if (count($user_ids) > 0)
   {
-  		$query = '
+    $query = '
 SELECT user_id, group_id
   FROM '.USER_GROUP_TABLE.'
@@ -2680,16 +2698,16 @@
 ;';
         
-				$result = pwg_query($query);
+    $result = pwg_query($query);
         
     while ($row = pwg_db_fetch_assoc($result))
     {
-    		array_push(
-      		$users[$user_nums[$row['user_id']]]['groups'],
+      array_push(
+        $users[$user_nums[$row['user_id']]]['groups'],
         $row['group_id']
-						);
-				}
-		}
-
-		return $users;
+      );
+    }
+  }
+
+  return $users;
 }
 
@@ -2704,13 +2722,13 @@
 function get_unvalid_user_autotasks()
 {
-		global $conf, $page;
-          
-		// Get ConfirmMail configuration
+  global $conf, $page;
+
+  // Get ConfirmMail configuration
   // -----------------------------
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
-  
+
   $users = array();
 
-		// search users depending expiration date
+  // search users depending expiration date
   // --------------------------------------
   $query = '
@@ -2724,12 +2742,12 @@
 ORDER BY ui.registration_date ASC;';
 
-		$result = pwg_query($query);
+  $result = pwg_query($query);
 
   while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($users, $row);
-		}
-
-		return $users;
+  }
+
+  return $users;
 }
 
@@ -2743,5 +2761,5 @@
 function get_ghost_user_list()
 {
-		global $conf, $page;
+  global $conf, $page;
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
@@ -2749,5 +2767,5 @@
   $users = array();
 
-		// Search users depending expiration date
+  // Search users depending expiration date
   // --------------------------------------
   $query = '
@@ -2763,15 +2781,15 @@
 ORDER BY lv.lastvisit ASC;';
 
-		$result = pwg_query($query);
+  $result = pwg_query($query);
       
   while ($row = pwg_db_fetch_assoc($result))
   {
-  		$user = $row;
+    $user = $row;
     $user['groups'] = array();
 
     array_push($users, $user);
-		}
-
-		// Add groups list
+  }
+
+  // Add groups list
   // ---------------
   $user_ids = array();
@@ -2779,7 +2797,7 @@
   {
   	$user_ids[$i] = $user['id'];
-		}
-
-		return $users;
+  }
+
+  return $users;
 }
 
@@ -2793,11 +2811,11 @@
 function get_ghosts_autotasks()
 {
-		global $conf, $page;
+  global $conf, $page;
 
   $conf_UAM = unserialize($conf['UserAdvManager']);
-  
+
   $users = array();
   
-		// Search users depending expiration date and reminder sent
+  // Search users depending expiration date and reminder sent
   // --------------------------------------------------------
   $query = '
@@ -2810,12 +2828,12 @@
 ORDER BY lv.lastvisit ASC;';
 
-		$result = pwg_query($query);
+  $result = pwg_query($query);
       
-		while ($row = pwg_db_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($users, $row);
-		}
-  
-		return $users;
+  }
+
+  return $users;
 }
 
@@ -2829,9 +2847,9 @@
 function get_user_list()
 {
-		global $conf, $page;
-  
+  global $conf, $page;
+
   $users = array();
 
-		// Search users depending expiration date with exclusion of Adult_Content generic users
+  // Search users depending expiration date with exclusion of Adult_Content generic users
   // ------------------------------------------------------------------------------------
   $query = '
@@ -2849,23 +2867,23 @@
 ;';
 
-		$result = pwg_query($query);
+  $result = pwg_query($query);
       
   while ($row = pwg_db_fetch_assoc($result))
   {
-  		$user = $row;
+    $user = $row;
     $user['groups'] = array();
 
     array_push($users, $user);
-		}
-
-		// Add groups list
+  }
+
+  // Add groups list
   // ---------------
   $user_ids = array();
   foreach ($users as $i => $user)
   {
- 			$user_ids[$i] = $user['id'];
-		}
-
-		return $users;
+    $user_ids[$i] = $user['id'];
+  }
+
+  return $users;
 }
 
@@ -2882,48 +2900,48 @@
 {
 	global $conf, $page;
-          
-		// Get ConfirmMail configuration
+
+  // Get ConfirmMail configuration
   // -----------------------------
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
           
-		// Get UAM configuration
+  // Get UAM configuration
   // ---------------------
   $conf_UAM = unserialize($conf['UserAdvManager']);
-	
-		$query = '
+
+  $query = '
 SELECT registration_date
   FROM '.USER_INFOS_TABLE.'
 WHERE user_id = '.$id.'
 ;';
-		list($registration_date) = pwg_db_fetch_row(pwg_query($query));
+  list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
 //              Time limit process             
 // ********************************************  
-		if (!empty($registration_date))
-  {
-				// Dates formating and compare
-  		// ---------------------------
-				$today = date("d-m-Y"); // Get today's date
-				list($day, $month, $year) = explode('-', $today); // explode date of today						 
- 			$daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
-	  	
-	  	list($regdate, $regtime) = explode(' ', $registration_date); // Explode date and time from registration date
-				list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
-				$regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
-			
-				$deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
-				$deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
-
-				// Condition with the value set for time limit
+  if (!empty($registration_date))
+  {
+    // Dates formating and compare
+    // ---------------------------
+    $today = date("d-m-Y"); // Get today's date
+    list($day, $month, $year) = explode('-', $today); // explode date of today						 
+    $daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
+
+    list($regdate, $regtime) = explode(' ', $registration_date); // Explode date and time from registration date
+    list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
+    $regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
+
+    $deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
+    $deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
+
+    // Condition with the value set for time limit
     // -------------------------------------------
-				if ($deltadays <= $conf_UAM_ConfirmMail[1]) // If Nb of days is less than the limit set
-				{
-						return false;
-				}
-				else
-				{
-						return true;
-				}
-		}
+    if ($deltadays <= $conf_UAM_ConfirmMail[1]) // If Nb of days is less than the limit set
+    {
+      return false;
+    }
+    else
+    {
+      return true;
+    }
+  }
 }
 
@@ -2967,5 +2985,5 @@
 		  		$points = $points + 1;
 
-		  		// Adding bonus points for lowercase
+      // Adding bonus points for lowercase
       // ---------------------------------
 		  $point_lowercase = 1;
@@ -2976,5 +2994,5 @@
       // --------------------------------------
       $points = $points + 2;
-		
+
       // Adding bonus points for uppercase
       // ---------------------------------
@@ -2986,5 +3004,5 @@
       // ------------------------------------
       $points = $points + 3;
-		
+
       // Adding bonus points for numbers
       // -------------------------------
@@ -3041,5 +3059,5 @@
   $t = array();
   $v = false;
-  
+
   $query = '
 SELECT value
@@ -3047,5 +3065,5 @@
 WHERE param = "UserAdvManager_Redir"
 ;';
-  
+
   if ($v = (($t = pwg_db_fetch_row(pwg_query($query))) !== false))
   {
@@ -3076,5 +3094,5 @@
 
   $result = pwg_db_fetch_assoc(pwg_query($query));
-  
+
   if($result['UAM_pwdreset'] == 'true')
   {
@@ -3154,14 +3172,14 @@
 {
   global $template;
-  
+
   $template->append('plugin_user_list_column_titles', l10n('UAM_PwdReset'));
-  
+
   $user_ids = array();
-  
+
   foreach ($visible_user_list as $i => $user)
   {
     $user_ids[$i] = $user['id'];
   }
-  
+
   $user_nums = array_flip($user_ids);
 
@@ -3176,5 +3194,5 @@
 ;';
     $result = pwg_query($query);
-    
+
     while ($row = mysql_fetch_array($result))
     {
@@ -3188,5 +3206,5 @@
       }
       else $pwdreset = l10n('UAM_PwdReset_NA');
-      
+
 		  $visible_user_list[$user_nums[$row['id']]]['plugin_columns'][] = $pwdreset; // Shows users password state in user_list
     }
@@ -3263,5 +3281,5 @@
     $j++;
   }
-  
+
   // Saving UAM configuration
   // ------------------------
@@ -3327,7 +3345,7 @@
 {
   global $prefixeTable, $dblayer, $conf;
-  
+
   define('DEFAULT_PREFIX_TABLE', 'piwigo_');
-  
+
   $Backup_File = UAM_PATH.'/include/backup/UAM_dbbackup.sql';
 
@@ -3400,7 +3418,7 @@
       continue;
     }
-    
+
     $query.= ' '.$sql_line;
-    
+
     // if we reached the end of query, we execute it and reinitialize the
     // variable "query"
Index: /extensions/UserAdvManager/branches/2.41/language/de_DE/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/de_DE/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/de_DE/help.lang.php	(revision 19235)
@@ -1,4 +1,3 @@
 <?php
-//global $lang;
 
 $lang['UAM_confirmTitle_d'] = '- Informationen E-Mail generation<br>
Index: /extensions/UserAdvManager/branches/2.41/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/de_DE/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/de_DE/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/en_UK/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/en_UK/help.lang.php	(revision 19235)
@@ -1,4 +1,3 @@
 <?php
-//global $lang;
 
 $lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse login names containing @). This option allows to exclude characters or sequence of characters, events.<br>
Index: /extensions/UserAdvManager/branches/2.41/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/en_UK/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/en_UK/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/es_ES/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/es_ES/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/es_ES/help.lang.php	(revision 19235)
@@ -1,4 +1,3 @@
 <?php
-//global $lang;
 
 $lang['UAM_confirmTitle_d'] = '
Index: /extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/fr_FR/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/fr_FR/help.lang.php	(revision 19235)
@@ -1,4 +1,3 @@
 <?php
-//global $lang;
 
 $lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un @). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
Index: /extensions/UserAdvManager/branches/2.41/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/fr_FR/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/fr_FR/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/hu_HU/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/hu_HU/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/it_IT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/it_IT/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/it_IT/help.lang.php	(revision 19235)
@@ -1,4 +1,3 @@
 <?php
-//global $lang;
 
 $lang['UAM_confirmTitle_d'] = '
@@ -33,6 +32,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_restricTitle_d'] = '
-- Caratteri vietati nei nomi degli utenti<br>
+$lang['UAM_restricTitle_d'] = '- Caratteri vietati nei nomi degli utenti<br>
 - Rafforzare il livello di sicurezza delle password<br>
 - Esclusione dei domini d\'Email<br>
@@ -75,3 +73,8 @@
 <br><br>
 Questo campo è compatibile con l\'Editor FCK e, per il multi-lingue, puoi utilizzare i tags [lang] del plugin Extended description se è attivo.';
+$lang['UAM_mailexcTitle_d'] = 'Di default, Piwigo accetta tutti gli indirizzi nel formato xxx@yyy.zz. Abilitando questa opzione, escluderete alcuni domini nel formato: @ [domain_name].[domain_extension].<br><br>
+Esempi:<br>
+@hotmail.com -> esclude indirizzi *@hotmail.com<br>
+@hotmail -> esclude indirizzi *@hotmail*<br><br>
+<b style=&quot;color: red;&quot;>Warning - Questa opzione funziona solo se l\'indirizzo email è obbligatorio per la registrazione! Per favore vedere le opzioni di configrazione di Piwigo.</b>';
 ?>
Index: /extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
Index: /extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php	(revision 19235)
@@ -1,7 +1,5 @@
 <?php
-//global $lang;
-
-$lang['UAM_confirmTitle_d'] = '
-- Informācijas e-pasta ģenerēšana<br>
+
+$lang['UAM_confirmTitle_d'] = '- Informācijas e-pasta ģenerēšana<br>
 - Reģistrācijas pārbaudes e-pasta ģenerēšana<br>
 - Autopievienošanās grupas vai statusa ģenerēšana<br>
@@ -46,6 +44,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_restricTitle_d'] = '
-- Rakstzīmes izslēgšana<br>
+$lang['UAM_restricTitle_d'] = '- Rakstzīmes izslēgšana<br>
 - Paroles izpilde<br>
 - E-pasta domēnu izslēgšana<br>
@@ -119,6 +116,5 @@
 - Automātiskā pārvaldība : Kad tiek sasniegts laiks starp 2 apmeklējumiem, apmeklētājs tiek automātiski izdzēsts vai pārvietots gaidītāju grupā. Šajā otrajā gadījumā lietotājam var tikt nosūtīts informējošs e-pasts.<br><br>
 <b style=&quot;color: red;&quot;>Svarīga piezīme : Ja izmantojat šo variantu pirmo reizi vai pēc ilgāka laika, kurā klāt nākuši jauni lietotāji, to reaktivējat, jums jāinicializē vai jāveic Ghost Tracker reset funkcija (skatīt attiecīgās instrukcijas &quot;Ghost Tracker&quot; lapā).</b>';
-$lang['UAM_miscTitle_d'] = '
-- Ghosts lietotāju automātiskā un manuālā pārvaldība<br>
+$lang['UAM_miscTitle_d'] = '- Ghosts lietotāju automātiskā un manuālā pārvaldība<br>
 - Pēc reģistrētie lietotāji<br>
 - Viesu komentāriem nepieciešams segvārds (nickname)<br>
@@ -183,5 +179,5 @@
 Lai lietotu vairākas valodas, ja aktivēts, varat izmantot Paplašinātā apraksta spraudņa tegus.';
 $lang['UAM_ConfirmMail_Subject_d'] = 'Ievadiet šeit savu pielāgoto reģistrācijas apstiprinājuma pasta tēmu. <br>
-Pēc noklusējuma lauks ir vispārējs tekstu angļu valodā, bet to var mainīt un izmantot Paplašinātā Apraksta spraudņa tulkošanas tagus [lang =?], ja uzstādīti.
+Pēc noklusējuma lauks ir ar vispārēju tekstu angļu valodā, bet to var mainīt un izmantot Paplašinātā Apraksta spraudņa tulkošanas tagus [lang =?], ja uzstādīti.
 <br><br>
 Neizmantojot Paplašinātā Apraksta spraudņa iespējas, pieejami sekojoši papildu pielāgošanas tagi: <br>
@@ -198,3 +194,142 @@
 <br><br>
 Šis lauks savietojams ar FCK Redaktoru un, ja lietojat daudzvalodu variantu, ja tas aktīvs, varat izmantot Paplašinātā apraksta spraudņa [lang] tagus.';
+$lang['UAM_confirmmail_custom2_d'] = 'Kad opcija &quot;Reģistrācijas apspirināšana&quot; ir aktīva, šis lauks ļauj jums pielāgot <b><u>noraidījuma tekstu</u></b> reģistrācijas apstiprināšanas lapā, kas parādās, ja lietotājs uzklikšķina uz pas epastu saņemtās apstiprinājuma saites. 
+<br><br>
+Pēc spraudņa uzinstalēšanas standarta teksts ir iestatīts kā paraugs.
+<br><br>
+Tālāk pielāgojiet saturu izmantojot speciālos ievietojamos tagus (iezīmes):<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu attiecīgā lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas ULR, ja tas iestatīts Piwigo konfigurācijā.
+<br><br>
+Šis lauks ir savietojams ar FCK Redaktoru un, ja lietojat daudzvalodu režīmu, ja aktivizēts, varat lietot Paplašinātā apraksta (Extended description)[lang] tagus.';
+$lang['UAM_AdminValidationMail_d'] = 'Kad galerijas administrators vai Webmasters manuāli apstuprina reģistrācijas kavēšanos, lietotājam automātiski tiek nosūtīts paziņojuma e-pasts.
+<br><br>
+Tālāk pielāgojiet saturu izmantojot speciālos ievietojamos tegus:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski pievienotu e pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai pievienotu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai automātiski pievienotu jūsu galerijas ULR, ja iestatīts Piwigo konfigurācijā.
+<br><br>
+Lai lietotu vairākas valodas, varat izmantot Paplašinātā apraksta spraudņa tegus, ja tie aktivizēti. ';
+$lang['UAM_AdminValidationMail_Subject_d'] = 'Kad galerijas administrators vai Webmasters manuāli apstuprina reģistrācijas kavēšanos, lietotājam automātiski tiek nosūtīts paziņojuma e-pasts. Šeit ievadiet savu pielāgoto validācijas e-pasta tēmu.<br>
+Pēc noklusēšanas laukā ir oriģinālais teksts angļu valodā, bet jūs to varat mainīt un izmantot, ja uzinstalēts, Paplašinātā Apraksta spraudņa tulkošanas [lang =?] tegus. 
+<br><br>
+Sekojošie papildus pielāgošanas tegi ir pieejami bez Paplašinātā Apraksta spraudņa:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski pievienotu e pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai pievienotu galerijas nosaukumu.<br>';
+$lang['UAM_remailtxt2Title_d'] = 'Ievadiet ievadtekstu, ko vēlaties redzēt atgādinājuma e-pastā, nereģenerējot apstiprinājuma atslēgu.
+<br><br>
+Ja kreisā puse tukša, pasta atgādinājums būs tukšs. Tāpēc ir sirsnīgi ieteikts ievadīt kaut mazu paskaidrojuma tekstu. (PS: Instalējot spraudni ir ievadīts parauga teksts).
+Tālāk pielāgojiet saturu, izmantojot speciālos tegus (iezīmes):<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu galējā e-pasta lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijā.
+<br><br>
+Lai izmantotu daudzvalodu režīmu, varat lietot Paplašinātā apraksta spraudņa iezīmes, gadījumā, ja spraudnis aktivizēts. ';
+$lang['UAM_gttextTitle_d'] = 'Ievadiet tekstu, ko vēlaties redzēt atgādinājuma e-pastā, lai atgādinātu lietotājiem, lai tie atkal apmeklē jūsu galeriju (PS: Instalējot spraudni ir ievadīts parauga teksts).
+<br><br>
+Tālāk pielāgojiet saturu, izmantojot speciālos tegus (iezīmes):<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu galējā e-pasta lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijā.
+<br><br>
+Lai izmantotu daudzvalodu režīmu, varat lietot Paplašinātā apraksta spraudņa iezīmes, gadījumā, ja spraudnis aktivizēts. ';
+$lang['UAM_validationlimitTitle_d'] = 'Šī opcija ļauj ierobežot no jauna reģistrētajiem lietotājiem nosūtīto apstiprinājuma e-pastu validitāti.
+Reģistrējušamies apmeklētājiem ir x dienas, lai apstiprinātu savu reģistrāciju. Pēc šī laika posma apstiprinājuma saite pazudīs.
+<br><br>
+Šī opcija lietojama kopā ar &quot;Reģistrācijas apstiprināšanu&quot;
+<br><br>
+Gadījumā, ja šī opcija un opcija &quot;Atgādinājums par neapstiprinātiem lietotājiem&quot; ir aktivētas, zemāk šinī sekcijā parādīsies jaunas opcijas, lai iespējotu neapstiprināto lietotāju automātisku pārvaldību.';
+$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Ievadiet šeit savu pielāgoto reģistrācijas apstiprināšanas e-pasta tēmu (ar vai bez jaunas atslēgas ģenerēšanas).<br>
+Pēc noklusēšanas laukā ir oriģinālais teksts angļu valodā, bet jūs to varat mainīt un izmantot, ja uzinstalēts, Paplašinātā Apraksta spraudņa tulkošanas [lang =?] tegus. 
+<br><br>
+Sekojošie papildus pielāgošanas tegi ir pieejami bez Paplašinātā Apraksta spraudņa:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski pievienotu e pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai pievienotu galerijas nosaukumu.<br>';
+$lang['UAM_MailInfo_Subject_d'] = 'Ievadiet šeit savu e-pasta pielāgoto tēmu.<br>
+Pēc noklusēšanas šis lauks ir aizpildīts ar paraugtekstu angļu valodā, bet jums ir iespēja to pielāgot un tulkot, izmantojot Paplašinātā Apraksta spraudņa  [lang =?] tulkošanas tagus, ja spraudnis ir instalēts. 
+<br><br>
+Neizmantojot Paplašinātā Apraksta spraudņa iespējas, pieejami sekojoši papildu pielāgošanas tagi: <br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu e-pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br> ';
+$lang['UAM_GTAutoDelTitle_d'] = 'Šis variants pieejams tikai tad, kad lietotājs, kura konts ir noildzis, pats sāk dzēšanas mehānisma procedūru (reti, bet iespējams). Viņš tiek atvienots no galerijas un tiek pāradresēts uz lapu, kas rāda, ka viņa konts tiek dzēsts, iespējams, tiek minēti dzēšanas iemesli. 
+<br><br>
+Tālāk pielāgojiet saturu ar speciālo tagu-iezīmju palīdzību:<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijas opcijās.
+<br>
+<b style=&quot;color: red;&quot;>[username]</b> nav pieejams, jo domājams, ka lietotājs ir dzēsts.<br><br>
+Šajā laukā, kas ir savietojams ar FCK Redaktoru, varat ievadīt pāradresētās lapas pielāgoto tekstu un, lai izmantotu daudzvalodu režīmu, gadījumā, ja tas ir aktīvs, varat lietot Paplašinātā apraksta spraudņa [lang] tagus.';
+$lang['UAM_GTAutomail_Text_d'] = 'Papildinot apstiprinājuma saiti, ievadiet pielāgoto tekstu, kas izskaidro reducēšanas iemeslus. Pielāgotais teksts nav obligāts, bet ļoti ieteicams, gadījumā, ja apmeklētājiem nepatiktu saņemt tikai vienu saiti bez jebkādiem paskaidrojumiem. ;-)
+<br><br>
+Tālāk pielāgojiet saturu ar speciālo tagu-iezīmju palīdzību:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu atbilstošo lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijas opcijās.
+<br><br>
+Lai lietotu daudzvalodu variantu, ja tas aktīvs, varat izmantot Paplašinātā apraksta spraudņa [lang] tagus.';
+$lang['UAM_GTAutomail_Subject_d'] = 'Ievadiet šeit savu pielāgoto automātisko Ghost Tracker (neredzamo lietotāju izsekošana) reducēšanas e-pasta tēmu.<br>
+Pēc noklusējuma lauks ir ar vispārēju tekstu angļu valodā, bet to var mainīt un izmantot Paplašinātā Apraksta spraudņa tulkošanas tagus [lang =?], ja uzstādīti.
+<br><br>
+Neizmantojot Paplašinātā Apraksta spraudņa iespējas, pieejami sekojoši papildu pielāgošanas tagi: <br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu e-pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>';
+$lang['UAM_GTReminder_Subject_d'] = 'Ievadiet šeit savu pielāgoto manuālo Ghost Tracker (neredzamo lietotāju izsekošana) atgādinājuma e-pasta tēmu.<br>
+Pēc noklusējuma lauks ir ar vispārēju tekstu angļu valodā, bet to var mainīt un izmantot Paplašinātā Apraksta spraudņa tulkošanas tagus [lang =?], ja uzstādīti.
+<br><br>
+Neizmantojot Paplašinātā Apraksta spraudņa iespējas, pieejami sekojoši papildu pielāgošanas tagi: <br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu e-pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>';
+$lang['UAM_DumpTitle_d'] = 'Tas ļauj saglabāt visu spraudņa konfigurāciju failā, lai jūs varētu atjaunot to, ja kaut kas noiet greizi (piemēram: nepareizu manipulāciju rezultātā vai pirms atjauninājumu instalēšanas). Pēc noklusējuma fails tiek saglabāts šajā mapē .. ../plugins/UserAdvManager/include/backup/ un tiek saukta par &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Uzmanību: Fails tiek pārrakstīts pie katras rezerves kopijas izveides!</b>
+<br><br>
+Reizēm var būt noderīgi ielādēt rezerves kopijas failu savā datorā. Piemēram: Lai veiktu atjaunošanu citā datubāzē, lai radītu rezerves kopiju citā vietā vai lai saglabātu vairākas dažādas rezerves kopijas. Lai to izdarītu, vienkārši veiciet atzīmi lodziņā, lai lejupielādētu failu.
+Atjaunošana, izmantojot šo interfeisu, ir pieejama tikai ar vietējā rezerves kopijas failu (../plugins/UserAdvManager/include/backup/UAM_dbbackup.sql). Atjaunošana, izmantojot lejupielādētu rezerves kopijas failu, šajā gadījumā nav iespējama. Lai to izdarītu, lūdzu, izmantojiet savu specializēto datubāzes pārvaldības rīku (piemēram, PhpMyAdmin for MySql database).
+<br><br>
+<b style=&quot;color: red;&quot;>Uzmanību: Pēc atjaunošanas, lai redzētu atjaunotos iestatījumus, nepieciešams no jauna ielādēt spraudņa pārvaldības lapu!</b> ';
+$lang['UAM_remailtxt1Title_d'] = 'Ievadiet ievadtekstu, ko vēlaties redzēt atgādinājuma e-pastā papildus reģenerētajai apstiprinājuma atslēgai.
+<br><br>
+Ja kreisā nav aizpildīta, atgādinājuma e-pastā būs tikai apstiprinājuma saite. Šajā gadījumā būtu ieteicams pievienot nelielu skaidrojošu tekstu.(PS: teksts, kas ievietots pie spraudņa instalēšanas ir paredzēts kā piemērs).
+<br><br>
+Tālāk pielāgojiet saturu ar speciālo tagu-iezīmju palīdzību:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu atbilstošo lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijas opcijās.
+<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> lai ievietotu dienu skaitu, kurā jāveic reģistrācijas apstiprināšana (&quot;Reģistrācijas apstiprināšanas termiņš ierobežots;&quot; jābūt iespējotam).
+<br><br>
+Lai lietotu daudzvalodu variantu, ja tas aktīvs, varat izmantot Paplašinātā apraksta spraudņa tagus.';
+$lang['UAM_PwdResetTitle_d'] = 'Iespējojot šo opciju Piwigo lietotāju pārvaldības panelim tiks pievienota jauna iezīme (Users> Manage), ko var izmantot, lai atlasītiem lietotājiem atjaunotu paroli. Turklāt ir pievienota jaunā kolonna, lai parādītu paroles statusu katram no viņiem ar šādām vērtībām:<br>
+- Parole būtu jāatjauno: Plānots paroles atjaunošanas pieprasījums.<br>
+- Parole atjaunota: Parole atjaunota pēc saņemtā pieprasījuma.<br>
+- Sākotnējā parole: Sākotnējā parole izvēlēta pie konta izveidošanas un nav bijis pieprasījuma to atjaunot.<br>
+Webmaster, vispārējie un viesu konti ir izslēgti no šīs funcijas.<br>
+Šie lietotāji tiks automātiski novirzīti uz to pielāgošanas lapām katrā no to savienojumiem līdz tie nomainīs savu paroli un nepārprotama ziņa par to tiks parādīta šajā lapā.';
+$lang['UAM_remailTitle_d'] = 'Šī opcija ļauj nosūtīt atgādinājuma e-pastu reģistrētiem, bet laikā neapstiprinājušiem savu reģistrāciju, lietotājiem. Tas tādējādi strādā kopā ar &quot;Reģistrācijas apstiprināšanu&quot;
+<br><br>
+Var tikt izsūtīti divu veidu e-pasti: Ar vai bez apstiprinājuma atslēgas ģenerēšanu. Ja nepieciešams, e-pastu saturu var pielāgot.
+<br><br>
+Atsaukties uz cilni &quot;Apstiprinājumu izsekošana&quot;.
+<br><br>
+Ja šī opcija un opcija &quot;Reģistrācijas apstiprināšanas termiņš ierobežots&quot; ir aktivētas, zem šīs sekcijas jāparādās jaunām opcijām, lai varētu iespējot neapstiprināto lietotāju automātisku pārvaldību.    ';
+$lang['UAM_USRAutoTitle_d'] = 'Neapstiprinātu lietotāju automātiskā apstrāde ieslēdzas katru reizi, kad jūs pieslēdzaties galerijai un darbojas sekojoši:
+<br><br>
+- Automātiska laikā neapstiprinātu kontu dzēšana, bez automātiska atgādinājuma e-pasta izsūtīšanas -> &quot; Ierobežots reģistrācijas apstiprināšanas termiņš&quot; 
+<b><u>iespējots</u></b> un &quot;Atgādinājums neapstiprinātiem lietotājiem&quot; <b><u>atslēgts</u></b>.
+<br><br>
+- Automātiska atgādinājuma un no jauna ģenerētas apstiprinājuma atslēgas izsūtīšana un automātiska kontu dzēšana, kas nav apstiprināti paredzētajā laikā pēc atgādinājuma saņemšanas -> &quot;Ierobežots reģistrācijas apstiprināšanas termiņš&quot;
+<b><u>iespējots</u></b> un &quot;Atgādinājums neapstiprinātiem lietotājiem&quot; <b><u>iespējots</u></b>. ';
+$lang['UAM_GTAutoMailTitle_d'] = 'Kad konts ir noildzis (group / status / privacy level change demoting the visitor), var tikt izsūtīts informatīvs e-pasts, kas izskaidro notikušās izmaiņas un skaidrojumu, kā atjaunot sākotnējo piekļūvi galerijai. <br>
+Lai to paveiktu, e-pastam tiek pievienota reģistrācijas reapstiprinājuma saite (automātiska jaunas apstiprinājuma atslēgas ģenerēšana).<b style=&quot;color: red;&quot;>Ja lietotājam jau ir paziņots, viņa konts automātiski tiek dzēsts.</b> 
+<br><br>
+<b style=&quot;color: red;&quot;>Uzmanību: Šīs funkcijas lietošana ir cieši saistīta ar lietotāja veicamo reģistrācijas apstiprināšanu (apstiprināšana ar e-pastu) un nevar tikt aktivēta, neizmantojot šo opciju.</b>  ';
+$lang['UAM_USRAutoDelTitle_d'] = 'Tas ir pieejams tikai, ja lietotājs, kura konts ir noildzis, pats ierosina dzēšanas procesa mehānismu (reti, bet iespējams). Viņš tad tiek atvienots no galerijas un pāradresēts uz lapu, kas satur informāciju par šī konta džēšanu un, iespējams, skaidrojumu par šī konta dzēšanas iemesliem. 
+<br><br>
+Tālāk pielāgojiet saturu ar speciālo tagu-iezīmju palīdzību:<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijas opcijās.
+<br>
+<b style=&quot;color: red;&quot;>[username]</b> nav pieejams, jo domājams, ka lietotājs ir dzēsts.<br><br>
+Šajā laukā, kas ir savietojams ar FCK Redaktoru, varat ievadīt pāradresētās lapas pielāgoto tekstu un, lai izmantotu daudzvalodu režīmu, gadījumā, ja tas ir aktīvs, varat lietot Paplašinātā apraksta spraudņa [lang] tagus.';
 ?>
Index: /extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php	(revision 19234)
+++ /extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php	(revision 19235)
@@ -1,8 +1,3 @@
 <?php
-
-//global $lang,$conf;
-
-//$conf_UAM = unserialize($conf['UserAdvManager']);
-
 
 /* UserManager Tab */
